This guide explains how to remove all members from a Customer Match audience
by sending a RemoveAllAudienceMembersRequest.
This method is useful if you need to clear a user list with a single request or replace all audience members of a list.
Clear the audience
To remove all members from an audience, send a
RemoveAllAudienceMembersRequest and omit the
removeAsOfTime field. This defaults the removal time to the current time,
clearing all current members from the list.
Replace all members
To replace all members in a Customer Match audience while avoiding an empty user list, follow these steps:
- Record the current time as T.
- Begin uploading the new members by
sending an
IngestAudienceMembersRequest. You can make multiple ingestion requests if needed. Wait until all ingestion requests have finished processing. You can check the status of your requests using Diagnostics.
Send a
RemoveAllAudienceMembersRequestwithremoveAsOfTimeset to the timestamp T recorded in Step #1. This removes only the members that were added before you began uploading the new members, leaving only the newly added members.
Construct the request
Set the following fields in the
RemoveAllAudienceMembersRequest body:
destinations- Required. The list of destinations. The
productDestinationIdfield in each destination specifies the audience that you want to remove members from. See Configure destinations for more information. removeAsOfTime- Optional. Only members added before this time will be removed. For formatting details, see Timestamp format. If not set, this value defaults to the current time.
validateOnly- Optional. Set to
trueto validate the request without applying the changes. When you're ready to apply the changes, set tofalse.
Sample requests
Here is a sample request that removes all members from a Customer Match list.
- Click Open in API Explorer to open the API Explorer in a new tab or window.
- In the request body in the API Explorer, replace each string beginning with
REPLACE_WITH, such asREPLACE_WITH_OPERATING_ACCOUNT_TYPE, with the relevant value. - Click Execute at the bottom of the API Explorer page and complete the authorization prompts to send the request.
- Set
validateOnlytotrueto validate the request without applying the changes. When you're ready to apply the changes, setvalidateOnlytofalse.
Advertiser
{ "destinations": [ { "operatingAccount": { "accountType": "OPERATING_ACCOUNT_TYPE", "accountId": "OPERATING_ACCOUNT_ID" }, "loginAccount": { "accountType": "LOGIN_ACCOUNT_TYPE", "accountId": "LOGIN_ACCOUNT_ID" }, "productDestinationId": "AUDIENCE_ID" } ], "removeAsOfTime": "2026-07-20T15:01:23Z", "validateOnly": true }
Data Partner
{ "destinations": [ { "operatingAccount": { "accountType": "OPERATING_ACCOUNT_TYPE", "accountId": "OPERATING_ACCOUNT_ID" }, "loginAccount": { "accountType": "DATA_PARTNER", "accountId": "DATA_PARTNER_ACCOUNT_ID" }, "linkedAccount": { "accountType": "LINKED_ACCOUNT_TYPE", "accountId": "LINKED_ACCOUNT_ID" }, "productDestinationId": "AUDIENCE_ID" } ], "removeAsOfTime": "2026-07-20T15:01:23Z", "validateOnly": true }
Send the request
Send the request to the removeAll endpoint.
If the request succeeds, the response contains a requestId which you can use
to track the status of the operation.
{
"requestId": "REQUEST_ID"
}
If the request fails, inspect the errors to determine the cause of the failure.